body {
    margin: 0 auto;
    background: #FFFFFF;
    overflow-x: hidden;
}

:root {
    /* fonts */
    --font-roboto: Roboto;

    /* font sizes */
    --font-size-xs: 12px;
    --font-size-smi: 13px;
    --font-size-sm: 14px;
    --font-size-9xl: 28px;
    --font-size-3xl: 22px;
    --font-size-25xl: 44px;
    --font-size-16xl: 35px;
    --font-size-7xl: 26px;
    --font-size-2xs: 11px;
    --font-size-lg: 18px;
    --font-size-base: 16px;
    --font-size-13xl: 32px;
    --font-size-lgi: 19px;

    /* Colors */
    --white: #fdfeff;
    --main-black: #424242;
    --color-white: #fff;
    --half-transparent-blue: #EDF1F3;
    --hover-background-blue: #EDF1F3;
    --gray: #acacac;
    --blue: #294d75;
    --yellow: #fdcc00;
    --red: #EE7582;
    --color-deepskyblue-100: #1ab3ff;
    --color-deepskyblue-200: rgba(26, 179, 255, 0.09);
    --color-black: #000;

    /* Gaps */
    --gap-21xl: 40px;

    /* Paddings */
    --padding-41xl: 60px;

    /* Border radiuses */
    --br-21xl: 40px;
    --br-xl: 20px;
}

.sol-btn {
    border: 1px solid var(--blue);
    border-radius: 100px;
    padding: 16px 48px;
    color: var(--blue);
    transition: all 0.2s;
    width: max-content;
    font-size: 16px;
    cursor: pointer;
}

.sol-btn:hover {
    color: var(--white);
    background: var(--blue);
    transition: all 0.2s;
}

.sol-btn.__sol-special:hover {
    color: var(--blue) !important;
    background: none;
    transition: all 0.2s;
}

.__sol-special {
    background: var(--blue);
    color: var(--white) !important;
}

.wrapper {
    min-width: 960px;
    max-width: 1440px;
    padding: 0 20px;
    margin: 0 auto;
}

input,
textarea,
select {
    font-family: var(--font-roboto);
    color: var(--main-black);
}

p {
    font-family: var(--font-roboto);
    color: var(--main-black);
    line-height: 150%;
}

a {
    font-family: var(--font-roboto);
    text-decoration: none;
    color: var(--main-black);
}

ul,
li,
span {
    margin: 0 !important;
    padding: 0 !important;

    font-family: var(--font-roboto);
    color: var(--main-black);
}

h1 {
    font-family: var(--font-roboto);
    font-size: 60px;
    text-transform: uppercase;
    font-weight: bold;
    color: var(--main-black);
    margin-top: 0 !important;
    line-height: 112%;
}

h2 {
    margin-top: 0 !important;
    margin-bottom: 50px !important;
    font-size: 44px;
    font-weight: 400;

    font-family: var(--font-roboto);
    color: var(--main-black);
    line-height: 112%;
}

h3,
h4 {
    margin-top: 0 !important;
    font-family: var(--font-roboto);
    font-size: 23px;
    color: var(--main-black);
    font-weight: 400;
    line-height: 112%;
}

section {
    margin-top: 120px !important;
}

.blue {
    color: var(--blue);
}

.red {
    color: var(--red);
}

.yellow {
    color: var(--yellow);
}



/* header */

.sol-header {
    background: var(--white);
    position: sticky;
    top: 0;
    z-index: 99;

    border-bottom: 1px solid #ddf2ff;
}

.sol-header__container {
    display: flex;
    justify-content: space-between;
    flex-wrap: nowrap;
    flex-direction: row;
    align-items: center;
    height: 80px;
}

.sol-header__section_logo {
    width: 110px;
}

.sol-header__section_menu {
    display: flex;
    justify-content: center;
    flex-wrap: nowrap;
    flex-direction: row;
    gap: 10px;

    padding: 0;
    margin: 0;
}

.sol-header__section_menuLink {
    list-style: none;
}

.sol-header__section_menuLink a {
    color: var(--main-black);
    background: none;
    border-bottom: 1px solid var(--white);
    padding: 6px 10px;
    border-radius: 0px;

    transition: all 0.2s;
}

.sol-header__section_menuLink.active a {
    transition: all 0.2s;
    border-bottom: 1px solid var(--blue);
}

.sol-header__section_menuLink a:hover {
    border-bottom: 1px solid var(--blue);

    transition: all 0.2s;
}

.sol-header__section_contact {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 5px;
}

.sol-header__section_phone {
    color: var(--main-black);
    font-weight: bold;
    font-size: 22px;
}

.sol-header__section_email {
    color: var(--gray);
    font-size: 14px;
}


/* ID home */

.sol-homeSection__backElementImg {
    position: absolute;
    z-index: 1;
    left: -70px;
}

.sol-homeSection__container {
    position: relative;
    z-index: 9;
    height: 560px;

    display: flex;
    justify-content: space-between;
    align-items: center;
}

.sol-homeSection__info {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    flex-wrap: nowrap;
}

.sol-homeSection__info h1 {
    margin-top: 0 !important;
    margin-bottom: 10px !important;
}

.sol-homeSection__info h3 {
    margin-top: 0 !important;
    margin-bottom: 20px !important;
    font-weight: 300;
    letter-spacing: 6px;
}

.sol-homeSection__info_points {
    width: 100%;
}

.sol-homeSection__info_points ul {
    margin-top: 10px !important;
    display: flex;
    flex-direction: row;
    gap: 5px;
    align-items: center;
}

.sol-homeSection__info_points li {
    font-size: 16px;
    list-style: none;
}

.pointBlue {
    color: var(--blue);
    font-size: 100px;
    line-height: 20px;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}

.sol-homeSection__info_blockText {
    max-width: 570px;
    margin-top: 50px;
}

.sol-homeSection__info_blockText_desc {
    font-size: 25px;
    font-weight: 300;
}

.sol-homeSection__button {
    margin-top: 70px;
    position: relative;
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.sol-homeSection__note {
    color: var(--gray);
    font-size: 13px;
}

.sol-homeSection__arrow {
    display: flex;
    position: relative;
    z-index: 9;
    gap: 15px;
    justify-content: center;
    padding: 70px 0 0;
}

.sol-homeSection__arrow_icon {
    position: relative;
    z-index: 9;
}

.sol-homeSection__arrow_text {
    font-weight: 400;
    font-size: 23px;
}


/* ID problems */

.sol-problemsSection h2 {
    font-size: 30px;
}

.sol-problemsSection__container {
    background: var(--hover-background-blue);
    border-radius: 40px;
    padding: 80px;

    position: relative;
}

.sol-problemsSection__contentBlock {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.sol-problemsSection__contentBlock_items {

}

.sol-problemsSection__contentBlock_items li {
    display: flex;
    gap: 10px;
    list-style: none;
    align-items: center;
}

.sol-problemsSection__contentBlock_items img {

}

.sol-problemsSection__contentBlock_items p {

}

.sol-problemsSection__contentBlock_arrow {

}

.sol-problemsSection__contentBlock_arrow p {
    
}

.sol-problemsSection__contentBlock_arrow img {

}

.sol-problemsSection__textBox {
    text-align: center;
    margin-top: 50px;
}

.sol-problemsSection__textBox p {
    font-size: 27px;
}


/* ID why */

.sol-whySection__blockItem {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 60px;
}

.sol-whySection__item {
    max-width: 295px;
    display: flex;
    flex-direction: column;
}

.sol-whySection__item_head {
    display: flex;
    gap: 10px;
    align-items: center;
    margin-bottom: 10px;
}

.sol-whySection__item_head img {
    width: 22px;
}

.sol-whySection__item_head p {
    font-size: 25px;
    margin: 0;
}

.sol-whySection__item_textBlock {
    display: flex;
    flex-direction: column;
}

/* ID steps */

.sol-stepsSection__container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.sol-stepsSection__blockItems {
    max-width: 720px;
}

.sol-stepsSection__blockItems li {
    list-style: none;
    padding: 5px 0 !important;
    border-bottom: 3px solid var(--hover-background-blue);
    display: flex;
    justify-content: flex-start;
    gap: 20px;
}

.sol-stepsSection__blockItems_stepsNum {
    min-width: 60px;
    font-weight: 600;
}

.sol-stepsSection__blockItems_stepsDesc a {
    margin-top: 20px;
    display: block;
    font-weight: 500;
    text-decoration: underline;
}



/* ID client */

.sol-clientSection {
    text-align: center;
}

.sol-clientSection__tabMenu {
    display: flex;
    justify-content: center;
}

/* Стилізація табів */
.sol-clientSection__tabMenu ul {
    display: flex;
    list-style: none;
    gap: 50px;
}

.sol-clientSection__tabMenu li {
    padding: 10px 20px;
    cursor: pointer;
    font-weight: 400;
    border-bottom: 2px solid transparent;
    padding: 5px !important;
    transition: all 0.3s ease;
}

.sol-clientSection__tabMenu li:hover {
    border-bottom: 2px solid var(--blue);
    transition: all 0.3s ease;
}

.sol-clientSection__tabMenu li[active] {
    border-bottom: 2px solid var(--blue);
    transition: all 0.3s ease;
    color: var(--blue);
}

/* Контейнер контенту */
.sol-clientSection_tabContent {
    padding: 20px;
    margin-top: 40px;
}

/* Відображення зображень */
.tab-item {
    display: flex;
    gap: 10px;
}

.tab-item img {
    max-width: 100px;
    height: auto;
    border-radius: 8px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

/* Контейнер для анімації */
.marquee {
    overflow: hidden;
    position: relative;
    width: 100%;
}

.marquee::after {
    content: "";
    opacity: 1;
    position: absolute;
    z-index: 10;
    top: 0;
    bottom: 0;
    right: 0;
    width: 250px;
    pointer-events: none;
    background: linear-gradient(to right, rgba(255, 255, 255, 0), #ffffff);
    transition: all .3s;
}

.marquee::before {
    content: "";
    opacity: 1;
    position: absolute;
    z-index: 10;
    top: 0;
    bottom: 0;
    left: 0;
    width: 250px;
    pointer-events: none;
    background: linear-gradient(to right, #ffffff, rgba(255, 255, 255, 0));
    transition: all .3s;
}

.marquee-inner {
    display: flex;
    width: 200%;
    animation: marquee 40s linear infinite;
}

.marquee img {
    width: 100%;
    flex-shrink: 0;
}

/* Анімація */
@keyframes marquee {
    from {
        transform: translateX(0%);
    }
    to {
        transform: translateX(-50%);
    }
}



/* ID projects */

.sol-projectsSection h2 {
    text-align: center;
}

.sol-projectsSection__container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 50px;
}

.sol-projectsSection__item {
    width: 42.9%;
    padding: 40px 40px 40px 20px;
    border-radius: 20px;
    border: 2px solid var(--blue);

    display: flex;
    align-items: flex-start;
    gap: 10px;
}

.sol-projectsSection__item_headImg {
    display: block;
    position: relative;
    top: -10px;
}

.sol-projectsSection__item_content {

}

.sol-projectsSection__item_content_gallery {
    margin-top: 40px;
    margin-bottom: 40px;

    display: flex;
    flex-direction: row;
    gap: 15px;
}

/* Оверлей (фон) */
.lightbox-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
}

/* Контейнер для зображення */
.lightbox-content {
    position: relative;
    max-width: 90%;
    max-height: 90%;
}

/* Зображення */
.lightbox-content img {
    max-width: 100%;
    max-height: 100%;
    border-radius: 8px;
    box-shadow: 0px 4px 15px rgba(255, 255, 255, 0.2);
}

/* Кнопка закриття */
.lightbox-close {
    position: absolute;
    top: -10px;
    right: -10px;
    background: #fff;
    border: none;
    font-size: 28px;
    cursor: pointer;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0px 2px 10px rgba(255, 255, 255, 0.5);
}



/* ID price */

.sol-priceSection {
    display: flex;
    gap: 60px;
    align-items: center;
}

.sol-priceSection__priceBlock {
    width: 360px;
    height: 505px;
    background: var(--hover-background-blue);
    border-radius: 40px;
    padding: 60px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.sol-priceSection__priceBlock h3 {
    font-size: 40px;
}

.sol-priceSection__priceBlock h3 span {
    font-size: 48px;
    font-weight: 700;
}

.sol-priceSection__priceBlock_text {
    font-size: 15px;
}

.sol-priceSection__priceBlock_miniText {
    margin: 0;
    margin-bottom: 25px;
    color: var(--gray);
    font-size: 13px;
}

.sol-priceSection__priceBlock a {
    margin-top: 25px;
}

.sol-priceSection__content_container h4 {
    font-size: 30px;
    font-weight: 700;
}

.sol-priceSection__content {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 10px;

    width: 80%;
}

.sol-priceSection__content_itemBlock {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 24px;
}

.sol-priceSection__content_item {
    flex: 1 auto;
    width: 360px;
    background: #EDF1F3;
    border-radius: 16px;
    padding: 24px 40px;
    
    display: flex;
    align-items: flex-start;
    flex-direction: row;
}

.sol-priceSection__content_item_img {
    display: flex;
    width: 100px;
    flex-direction: row;
    align-items: center;
}

.sol-priceSection__content_item p {
    margin: 0;
}



/* ID form */

.sol-formSection__container {
    background: var(--hover-background-blue);
    border-radius: 40px;
    padding: 80px;

    display: flex;
    justify-content: space-between;
    align-items: center;

    position: relative;
}

.sol-formSection__infoBlock img {
    display: block;
    margin: 0 auto;
}

.sol-formSection__infoBlock_text {
    max-width: 490px;
}

.sol-formSection__form {
    display: block;
    margin-top: 50px;
}

.sol-formSection__form_blockInput {
    max-width: 100%;
}

.sol-formSection__form_head {
    font-size: 15px;
    margin-bottom: 10px;
}

.sol-formSection__form_input {
    width: 100%;
    box-sizing: border-box;
    padding: 16px 24px;

    border: 0.5px solid #ACACAC;
    border-radius: 100px;

    background: var(--hover-background-blue);
    color: var(--main-black);

    transition: all 0.2s;
    outline: none;
}

.sol-formSection__form_input::placeholder {
    color: #ACACAC;
}

.sol-formSection__form_input:hover {
    transition: all 0.2s;
    background: var(--white);
}

.sol-formSection__form_input:focus {
    transition: all 0.2s;
    border: 0.5px solid var(--blue);
    background: var(--white);
}

.sol-formSection__form_submitBlock {
    margin-top: 40px;
    display: flex;
    flex-direction: row;
    gap: 20px;
    align-items: center;
}

.sol-formSection__form_submitText {
    max-width: 340px;
    font-weight: 400;
    color: var(--gray);
    font-size: 14px;
}

.sol-formSection__formBlock {
    
}



/* ID footer */

.sol-footer {
    padding: 40px 0;
    margin-top: 50px;
    text-align: center;
}

.sol-footer__block {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.sol-footer__copy {
    margin: 0;
}

.sol-footer__devInfo {
    color: var(--blue);
    margin: 0;
    font-size: 14px;
}